%define anolis_release 1

%bcond_with check

Name:           python-parameterized
Version:        0.8.1
Release:        %{anolis_release}%{dist}

Summary:        Parameterized testing with any Python test framework

License:        BSD-2-Clause-Views
URL:            https://github.com/wolever/parameterized
Source:         %{pypi_source parameterized}

Patch0001:      0001-pytest4.patch
Patch0002:      0002-parameterized-0.8.1-no-nose.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# Upstream supports tox, and in theory we could generate these by something like:
#   %%pyproject_buildrequires -t -e %%{toxenv}-nose2,%%{toxenv}-pytest4,%%{toxenv}-unit
# but upstream is not keeping up, and we would also have to patch in support
# for environments after py36. It’s not worth it; we can more easily run the
# tests manually and specify the BR’s manually. See %%check.
%if %{with check}
BuildRequires:  python3dist(nose2)
BuildRequires:  python3dist(pytest)
%endif

%description
%{summary}.

%package -n python3-parameterized
Summary:        %{summary}

%description -n python3-parameterized
%{summary}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n parameterized-%{version}
sed -i 's|^import mock|from unittest import mock|' parameterized/test.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files parameterized

%check
%if %{with check}
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{python3} -m nose2 -v
%pytest parameterized/test.py
%{python3} -m unittest -v parameterized.test
%endif

%files -n python3-parameterized -f %{pyproject_files}

%files doc
%doc CHANGELOG.txt README.rst

%changelog
* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.8.1-1
- Init package from upstream
